org.eclipse.lyo.core.query

## Class OslcWhereLexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.eclipse.lyo.core.query.OslcWhereLexer

- All Implemented Interfaces:
    org.antlr.runtime.TokenSource

      public class OslcWhereLexer
      extends org.antlr.runtime.Lexer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `OslcWhereLexer.DFA15`
    `protected class` | `OslcWhereLexer.DFA21`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALPHA_CHARS`
    `static int` | `AND`
    `static int` | `ASTERISK`
    `static int` | `BOOLEAN`
    `static int` | `CLOSE_BRACE`
    `static int` | `CLOSE_CURLY_BRACE`
    `static int` | `CLOSE_SQUARE_BRACE`
    `static int` | `COMMA`
    `static int` | `COMPOUND_TERM`
    `static int` | `DECIMAL`
    `protected OslcWhereLexer.DFA15` | `dfa15`
    `protected OslcWhereLexer.DFA21` | `dfa21`
    `static int` | `DIGIT`
    `static int` | `DOT`
    `static int` | `ECHAR`
    `static int` | `EOF`
    `static int` | `EOL`
    `static int` | `EQUAL`
    `static int` | `GREATER`
    `static int` | `GREATER_EQUAL`
    `static int` | `IN_TERM`
    `static int` | `IN_VALUES`
    `static int` | `IRI_REF`
    `static int` | `LANGED_VALUE`
    `static int` | `LANGTAG`
    `static int` | `LESS`
    `static int` | `LESS_EQUAL`
    `static int` | `MINUS`
    `static int` | `NOT`
    `static int` | `NOT_EQUAL`
    `static int` | `OPEN_BRACE`
    `static int` | `OPEN_CURLY_BRACE`
    `static int` | `OPEN_SQUARE_BRACE`
    `static int` | `OR`
    `static int` | `PLUS`
    `static int` | `PN_CHARS`
    `static int` | `PN_CHARS_BASE`
    `static int` | `PN_CHARS_U`
    `static int` | `PN_LOCAL`
    `static int` | `PN_PREFIX`
    `static int` | `PNAME_LN`
    `static int` | `PNAME_NS`
    `static int` | `REFERENCE`
    `static int` | `SEMICOLON`
    `static int` | `SIMPLE_TERM`
    `static int` | `STRING_LITERAL`
    `static int` | `T__50`
    `static int` | `T__51`
    `static int` | `T__52`
    `static int` | `TERMS`
    `static int` | `TYPED_VALUE`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.Lexer

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcWhereLexer()`
    `OslcWhereLexer(org.antlr.runtime.CharStream input)`
    `OslcWhereLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.runtime.Lexer[]` | `getDelegates()`
    `String` | `getGrammarFileName()`
    `void` | `mALPHA_CHARS()`
    `void` | `mAND()`
    `void` | `mASTERISK()`
    `void` | `mBOOLEAN()`
    `void` | `mCLOSE_BRACE()`
    `void` | `mCLOSE_CURLY_BRACE()`
    `void` | `mCLOSE_SQUARE_BRACE()`
    `void` | `mCOMMA()`
    `void` | `mCOMPOUND_TERM()`
    `void` | `mDECIMAL()`
    `void` | `mDIGIT()`
    `void` | `mDOT()`
    `void` | `mECHAR()`
    `void` | `mEOL()`
    `void` | `mEQUAL()`
    `void` | `mGREATER_EQUAL()`
    `void` | `mGREATER()`
    `void` | `mIN_TERM()`
    `void` | `mIN_VALUES()`
    `void` | `mIRI_REF()`
    `void` | `mLANGED_VALUE()`
    `void` | `mLANGTAG()`
    `void` | `mLESS_EQUAL()`
    `void` | `mLESS()`
    `void` | `mMINUS()`
    `void` | `mNOT_EQUAL()`
    `void` | `mNOT()`
    `void` | `mOPEN_BRACE()`
    `void` | `mOPEN_CURLY_BRACE()`
    `void` | `mOPEN_SQUARE_BRACE()`
    `void` | `mOR()`
    `void` | `mPLUS()`
    `void` | `mPN_CHARS_BASE()`
    `void` | `mPN_CHARS_U()`
    `void` | `mPN_CHARS()`
    `void` | `mPN_LOCAL()`
    `void` | `mPN_PREFIX()`
    `void` | `mPNAME_LN()`
    `void` | `mPNAME_NS()`
    `void` | `mREFERENCE()`
    `void` | `mSEMICOLON()`
    `void` | `mSIMPLE_TERM()`
    `void` | `mSTRING_LITERAL()`
    `void` | `mT__50()`
    `void` | `mT__51()`
    `void` | `mT__52()`
    `void` | `mTERMS()`
    `void` | `mTokens()`
    `void` | `mTYPED_VALUE()`
    `void` | `mWS()`

    - ### Methods inherited from class org.antlr.runtime.Lexer

      `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### ALPHA_CHARS

          public static final int ALPHA_CHARS

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### ASTERISK

          public static final int ASTERISK

      See Also:
        Constant Field Values

    - #### BOOLEAN

          public static final int BOOLEAN

      See Also:
        Constant Field Values

    - #### CLOSE_BRACE

          public static final int CLOSE_BRACE

      See Also:
        Constant Field Values

    - #### CLOSE_CURLY_BRACE

          public static final int CLOSE_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### CLOSE_SQUARE_BRACE

          public static final int CLOSE_SQUARE_BRACE

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### COMPOUND_TERM

          public static final int COMPOUND_TERM

      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final int DIGIT

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### ECHAR

          public static final int ECHAR

      See Also:
        Constant Field Values

    - #### EOL

          public static final int EOL

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final int EQUAL

      See Also:
        Constant Field Values

    - #### GREATER

          public static final int GREATER

      See Also:
        Constant Field Values

    - #### GREATER_EQUAL

          public static final int GREATER_EQUAL

      See Also:
        Constant Field Values

    - #### IN_TERM

          public static final int IN_TERM

      See Also:
        Constant Field Values

    - #### IN_VALUES

          public static final int IN_VALUES

      See Also:
        Constant Field Values

    - #### IRI_REF

          public static final int IRI_REF

      See Also:
        Constant Field Values

    - #### LANGED_VALUE

          public static final int LANGED_VALUE

      See Also:
        Constant Field Values

    - #### LANGTAG

          public static final int LANGTAG

      See Also:
        Constant Field Values

    - #### LESS

          public static final int LESS

      See Also:
        Constant Field Values

    - #### LESS_EQUAL

          public static final int LESS_EQUAL

      See Also:
        Constant Field Values

    - #### MINUS

          public static final int MINUS

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          public static final int NOT_EQUAL

      See Also:
        Constant Field Values

    - #### OPEN_BRACE

          public static final int OPEN_BRACE

      See Also:
        Constant Field Values

    - #### OPEN_CURLY_BRACE

          public static final int OPEN_CURLY_BRACE

      See Also:
        Constant Field Values

    - #### OPEN_SQUARE_BRACE

          public static final int OPEN_SQUARE_BRACE

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### PLUS

          public static final int PLUS

      See Also:
        Constant Field Values

    - #### PNAME_LN

          public static final int PNAME_LN

      See Also:
        Constant Field Values

    - #### PNAME_NS

          public static final int PNAME_NS

      See Also:
        Constant Field Values

    - #### PN_CHARS

          public static final int PN_CHARS

      See Also:
        Constant Field Values

    - #### PN_CHARS_BASE

          public static final int PN_CHARS_BASE

      See Also:
        Constant Field Values

    - #### PN_CHARS_U

          public static final int PN_CHARS_U

      See Also:
        Constant Field Values

    - #### PN_LOCAL

          public static final int PN_LOCAL

      See Also:
        Constant Field Values

    - #### PN_PREFIX

          public static final int PN_PREFIX

      See Also:
        Constant Field Values

    - #### REFERENCE

          public static final int REFERENCE

      See Also:
        Constant Field Values

    - #### SEMICOLON

          public static final int SEMICOLON

      See Also:
        Constant Field Values

    - #### SIMPLE_TERM

          public static final int SIMPLE_TERM

      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          public static final int STRING_LITERAL

      See Also:
        Constant Field Values

    - #### TERMS

          public static final int TERMS

      See Also:
        Constant Field Values

    - #### TYPED_VALUE

          public static final int TYPED_VALUE

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### dfa15

          protected OslcWhereLexer.DFA15 dfa15

    - #### dfa21

          protected OslcWhereLexer.DFA21 dfa21

  - ### Constructor Detail

    - #### OslcWhereLexer

          public OslcWhereLexer()

    - #### OslcWhereLexer

          public OslcWhereLexer(org.antlr.runtime.CharStream input)

    - #### OslcWhereLexer

          public OslcWhereLexer(org.antlr.runtime.CharStream input,
                        org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getDelegates

          public org.antlr.runtime.Lexer[] getDelegates()

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### mCOMPOUND_TERM

          public final void mCOMPOUND_TERM()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mIN_TERM

          public final void mIN_TERM()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mIN_VALUES

          public final void mIN_VALUES()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLANGED_VALUE

          public final void mLANGED_VALUE()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSIMPLE_TERM

          public final void mSIMPLE_TERM()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTERMS

          public final void mTERMS()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTYPED_VALUE

          public final void mTYPED_VALUE()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__50

          public final void mT__50()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__51

          public final void mT__51()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__52

          public final void mT__52()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mWS

          public final void mWS()
                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPNAME_NS

          public final void mPNAME_NS()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPNAME_LN

          public final void mPNAME_LN()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mIRI_REF

          public final void mIRI_REF()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLANGTAG

          public final void mLANGTAG()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mALPHA_CHARS

          public final void mALPHA_CHARS()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mBOOLEAN

          public final void mBOOLEAN()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDECIMAL

          public final void mDECIMAL()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSTRING_LITERAL

          public final void mSTRING_LITERAL()
                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mECHAR

          public final void mECHAR()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS_U

          public final void mPN_CHARS_U()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS

          public final void mPN_CHARS()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_PREFIX

          public final void mPN_PREFIX()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_LOCAL

          public final void mPN_LOCAL()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPN_CHARS_BASE

          public final void mPN_CHARS_BASE()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDIGIT

          public final void mDIGIT()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mEOL

          public final void mEOL()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mREFERENCE

          public final void mREFERENCE()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLESS_EQUAL

          public final void mLESS_EQUAL()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mGREATER_EQUAL

          public final void mGREATER_EQUAL()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mNOT_EQUAL

          public final void mNOT_EQUAL()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mAND

          public final void mAND()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mOR

          public final void mOR()
                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mOPEN_BRACE

          public final void mOPEN_BRACE()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCLOSE_BRACE

          public final void mCLOSE_BRACE()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mOPEN_CURLY_BRACE

          public final void mOPEN_CURLY_BRACE()
                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCLOSE_CURLY_BRACE

          public final void mCLOSE_CURLY_BRACE()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mOPEN_SQUARE_BRACE

          public final void mOPEN_SQUARE_BRACE()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCLOSE_SQUARE_BRACE

          public final void mCLOSE_SQUARE_BRACE()
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSEMICOLON

          public final void mSEMICOLON()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDOT

          public final void mDOT()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mPLUS

          public final void mPLUS()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mMINUS

          public final void mMINUS()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mASTERISK

          public final void mASTERISK()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCOMMA

          public final void mCOMMA()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mNOT

          public final void mNOT()
                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mEQUAL

          public final void mEQUAL()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLESS

          public final void mLESS()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mGREATER

          public final void mGREATER()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTokens

          public void mTokens()
                       throws org.antlr.runtime.RecognitionException

      Specified by:
        `mTokens` in class `org.antlr.runtime.Lexer`
      Throws:
        `org.antlr.runtime.RecognitionException`

Copyright © 2016. All rights reserved.